{% extends '../base.html'%}
{% block main %}
{% load static %}
<div class="conatiner-all d-flex position-relative">
  {% include "../components/quick_access.html" %}
  {% include "./admin-aside.html" %}
  <div class="table-container">
    <p class="text-center fs-4 mt-3">Liste des messages</p>
    <div class="sort">
      <div class="select">
        <select id="status" class="form-select" aria-label="Default select example">
          <option value="0" selected>Tout</option>
          <option value="1">Lu</option>
          <option value="2">Non lu</option>
        </select>
      </div>
      <div class="search">
        <div class="input-group">
          <input placeholder="Recharcher ..." type="text" class="form-control px-2" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default" id="inputSearchQ"/>
          <span class="input-group-text" id="inputGroup-sizing-default" title="Recharcher par le numéro de suivi ou par la siret">
            <i class="fa-solid fa-magnifying-glass"></i>
          </span>
        </div>
      </div>
    </div>
    <table class="table">
      <thead>
        <tr style="font-size: 0.7rem">
          <th scope="col">Utilisateur</th>
          <th scope="col">Message</th>
          <th scope="col">Date</th>
        </tr>
      </thead>
      <tbody class="table-group-divider" style="font-size: 0.7rem">
        {% for msg in list_messages %}
          <!-- <tr style="font-size: 0.6rem" data-status="{{ msg.set_data_att }}" class="{% if msg.readed %} bg-success {% else %} bg-danger {% endif %} {% if not msg.active %} d-none {% endif %}"> -->
          <tr style="font-size: 0.6rem" data-bgcolor ="{{ msg.set_bg_color }}"  data-status="{{ msg.set_data_att }}" class="{% if msg.readed %} bg-success {% else %} bg-danger {% endif %} {% if not msg.active %} d-none {% endif %}">
            <td>{{ msg.user.get_last_name }} {{ msg.user.get_first_name }}</td>
            <td> <a href="{% url 'one_message' msg.id  %}" class="text-dark">{{ msg.request|slice:":20" }}...</a></td>
            <td>{{ msg.created_at }}</td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
<script src="{% static 'assets/js/script.js' %}"></script>
<script>
  const select = document.querySelector("select#status");
  const input = document.querySelector("#inputSearchQ");
  select.addEventListener("change", (e) => {
    const status = e.target.value;
    sortTableRepairForAdminWithSelect(status);
  });
  input.addEventListener("input", (e) => {
    const q = e.target.value;
    sortTableRepairForAdminWithInput(q);
  });
  setTabletrBgColor()
</script>
{% endblock main%}